portal = context.getPortalObject()
url_string = context.getUrlString()
software_product = None

product_list = portal.portal_catalog(
  portal_type="Software Product",
  validation_state=['validated', 'published'],
  use__relative_url="trade/sale",
  follow_up__uid=context.getFollowUpUid()
)

release = portal.portal_catalog.getResultValue(
  portal_type="Software Product Release Variation",
  url_string=url_string,
  parent_uid=[x.getUid() for x in product_list]
)

if release is not None:
  software_product = release.getParentValue()

return software_product
